# QNetworkReply Class Reference

### [com.trolltech.qt.network package]

Inherits QIODevice.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QNetworkReply prototype object
- NoError = 0
- ConnectionRefusedError = 1
- RemoteHostClosedError
- HostNotFoundError
- TimeoutError
- OperationCanceledError
- SslHandshakeFailedError
- TemporaryNetworkFailureError
- UnknownNetworkError = 99
- ProxyConnectionRefusedError = 101
- ProxyConnectionClosedError
- ProxyNotFoundError
- ProxyTimeoutError
- ProxyAuthenticationRequiredError
- UnknownProxyError = 199
- ContentAccessDenied = 201
- ContentOperationNotPermittedError
- ContentNotFoundError
- AuthenticationRequiredError
- ContentReSendError
- UnknownContentError = 299
- ProtocolUnknownError = 301
- ProtocolInvalidOperationError
- ProtocolFailure = 399
- NetworkError( value )

### Prototype Object Properties

The QNetworkReply prototype object inherits properties from the QIODevice prototype object and also has the following properties.

- void abort()
- Object attribute(Attribute code)
- NetworkError error()
- bool hasRawHeader(QByteArray headerName)
- Object header(KnownHeaders header)
- void ignoreSslErrors(List errors)
- bool isFinished()
- bool isRunning()
- QNetworkAccessManager manager()
- Operation operation()
- QByteArray rawHeader(QByteArray headerName)
- List rawHeaderList()
- List rawHeaderPairs()
- qint64 readBufferSize()
- QNetworkRequest request()
- void setReadBufferSize(qint64 size)
- void setSslConfiguration(QSslConfiguration configuration)
- QSslConfiguration sslConfiguration()
- QUrl url()

### Instance Properties

QNetworkReply objects have no special properties beyond those inherited from the QNetworkReply prototype object.